## qmltube 0.2.15

=== Makefile ===
#############################################################################
# Makefile for building: qmltube
# Generated by qmake (2.01a) (Qt 4.7.0) on: Tue Apr 5 12:46:02 2011
# Project:  qmltube.pro
# Template: app
# Command: /home/stuart/QtSDK/Maemo/4.6.2/targets/fremantle-pr13/bin/qmake -spec ../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/linux-g++-maemo5 QMLJSDEBUGGER_PATH=/home/stuart/QtSDK/QtCreator/share/qtcreator/qml/qmljsdebugger -o Makefile qmltube.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DQT_NO_DEBUG -DQT_DECLARATIVE_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/include/QtCore -I../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/include/QtGui -I../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/include/QtDeclarative -I../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/include -I../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/include/QtDBus -Iqmlapplicationviewer -I.
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu
LIBS          = $(SUBLIBS)  -L/home/stuart/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/lib -L/usr/lib -lQtDeclarative -L/usr/X11R6/lib -lQtScript -lQtSvg -lQtSql -lQtXmlPatterns -lQtOpenGL -lQtNetwork -lQtGui -lQtDBus -lQtXml -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /home/stuart/QtSDK/Maemo/4.6.2/targets/fremantle-pr13/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = main.cpp \
		youtube.cpp \
		controller.cpp \
		downloadmanager.cpp \
		qmlapplicationviewer/qmlapplicationviewer.cpp moc_qmlapplicationviewer.cpp \
		moc_youtube.cpp \
		moc_controller.cpp \
		moc_downloadmanager.cpp
OBJECTS       = main.o \
		youtube.o \
		controller.o \
		downloadmanager.o \
		qmlapplicationviewer.o \
		moc_qmlapplicationviewer.o \
		moc_youtube.o \
		moc_controller.o \
		moc_downloadmanager.o
DIST          = ../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/common/unix.conf \
		../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/common/linux.conf \
		../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/qconfig.pri \
		../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/qt_functions.prf \
		../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/qt_config.prf \
		../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/default_pre.prf \
		qmlapplicationviewer/qmlapplicationviewer.pri \
		../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/release.prf \
		../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/default_post.prf \
		../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/qdbus.prf \
		../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/moc.prf \
		../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/dbusinterfaces.prf \
		../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/dbusadaptors.prf \
		../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/warn_on.prf \
		../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/qt.prf \
		../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/unix/thread.prf \
		../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/resources.prf \
		../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/uic.prf \
		../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/yacc.prf \
		../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/lex.prf \
		../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		qmltube.pro
QMAKE_TARGET  = qmltube
DESTDIR       = 
TARGET        = qmltube

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: qmltube.pro  ../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf ../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/common/unix.conf \
		../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/common/linux.conf \
		../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/qconfig.pri \
		../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/qt_functions.prf \
		../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/qt_config.prf \
		../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/default_pre.prf \
		qmlapplicationviewer/qmlapplicationviewer.pri \
		../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/release.prf \
		../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/default_post.prf \
		../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/qdbus.prf \
		../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/moc.prf \
		../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/dbusinterfaces.prf \
		../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/dbusadaptors.prf \
		../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/warn_on.prf \
		../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/qt.prf \
		../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/unix/thread.prf \
		../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/resources.prf \
		../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/uic.prf \
		../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/yacc.prf \
		../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/lex.prf \
		../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/home/stuart/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/lib/libQtDBus.prl \
		/home/stuart/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/lib/libQtXml.prl \
		/home/stuart/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/lib/libQtCore.prl \
		/home/stuart/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/lib/libQtDeclarative.prl \
		/home/stuart/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/lib/libQtScript.prl \
		/home/stuart/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/lib/libQtSvg.prl \
		/home/stuart/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/lib/libQtGui.prl \
		/home/stuart/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/lib/libQtSql.prl \
		/home/stuart/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/lib/libQtXmlPatterns.prl \
		/home/stuart/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/lib/libQtNetwork.prl \
		/home/stuart/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/lib/libQtOpenGL.prl
	$(QMAKE) -spec ../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/linux-g++-maemo5 QMLJSDEBUGGER_PATH=/home/stuart/QtSDK/QtCreator/share/qtcreator/qml/qmljsdebugger -o Makefile qmltube.pro
../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/common/unix.conf:
../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/common/linux.conf:
../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/qconfig.pri:
../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/qt_functions.prf:
../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/qt_config.prf:
../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/default_pre.prf:
qmlapplicationviewer/qmlapplicationviewer.pri:
../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/release.prf:
../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/default_post.prf:
../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/qdbus.prf:

=== debian/changelog ===
qmltube (0.2.15) unstable; urgency=low

  * Initial release.

 -- Stuart Howarth <marxianthecoder@gmail.com>  Mon, 04 Apr 2011 23:29:18 +0000

=== debian/control ===
Source: qmltube
Section: user/multimedia
Priority: optional
Maintainer: Stuart Howarth <marxianthecoder@gmail.com>
Build-Depends: debhelper (>= 5), libqt4-dev
Standards-Version: 3.7.3
Homepage: https://garage.maemo.org/projects/qmltube/

Package: qmltube
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, mcsp, kmplayer
Description: YouTube client
 Browse, view and download YouTube videos. Manage YouTube accounts.
XSBC-Bugtracker: https://garage.maemo.org/tracker/?group_id=2124
XSBC-Maemo-Display-Name: cuteTube-QML

## qmltube 0.2.16

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: qmltube
-# Generated by qmake (2.01a) (Qt 4.7.0) on: Tue Apr 5 12:46:02 2011
+# Generated by qmake (2.01a) (Qt 4.7.0) on: Tue Apr 5 18:03:31 2011
 # Project:  qmltube.pro
 # Template: app
 # Command: /home/stuart/QtSDK/Maemo/4.6.2/targets/fremantle-pr13/bin/qmake -spec ../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/linux-g++-maemo5 QMLJSDEBUGGER_PATH=/home/stuart/QtSDK/QtCreator/share/qtcreator/qml/qmljsdebugger -o Makefile qmltube.pro

=== debian/changelog ===
qmltube (0.2.16) unstable; urgency=low

  * Fixed crashing when cancelling downloads.
  * Added icon for Application Manager.

 -- Stuart Howarth <marxianthecoder@gmail.com>  Mon, 05 Apr 2011 18:02:18 +0000

=== debian/control ===
--- 
+++ 
@@ -13,3 +13,4 @@
  Browse, view and download YouTube videos. Manage YouTube accounts.
 XSBC-Bugtracker: https://garage.maemo.org/tracker/?group_id=2124
 XSBC-Maemo-Display-Name: cuteTube-QML
+XB-Maemo-Icon-26: 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

## qmltube 0.2.17

=== debian/changelog ===
qmltube (0.2.17) unstable; urgency=low

  * Fixed non-restoration of incomplete downloads.
  * Removed kmplayer dependency.

 -- Stuart Howarth <marxianthecoder@gmail.com>  Mon, 05 Apr 2011 20:02:18 +0000

## qmltube 0.2.18

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: qmltube
-# Generated by qmake (2.01a) (Qt 4.7.0) on: Tue Apr 5 18:03:31 2011
+# Generated by qmake (2.01a) (Qt 4.7.0) on: Tue Apr 5 20:16:38 2011
 # Project:  qmltube.pro
 # Template: app
 # Command: /home/stuart/QtSDK/Maemo/4.6.2/targets/fremantle-pr13/bin/qmake -spec ../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/linux-g++-maemo5 QMLJSDEBUGGER_PATH=/home/stuart/QtSDK/QtCreator/share/qtcreator/qml/qmljsdebugger -o Makefile qmltube.pro

=== debian/changelog ===
qmltube (0.2.18) unstable; urgency=low

  * Fixed video playback bug when launching from long-press dialog.

 -- Stuart Howarth <marxianthecoder@gmail.com>  Mon, 05 Apr 2011 22:02:18 +0000

## qmltube 0.2.19

=== debian/changelog ===
qmltube (0.2.19) unstable; urgency=low

  * Fixed problem with search results.
  * Implemented slimmer frames around thumbnails.

 -- Stuart Howarth <marxianthecoder@gmail.com>  Wed, 06 Apr 2011 12:45:18 +0000

## qmltube 0.2.20

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: qmltube
-# Generated by qmake (2.01a) (Qt 4.7.0) on: Tue Apr 5 20:16:38 2011
+# Generated by qmake (2.01a) (Qt 4.7.0) on: Wed Apr 6 12:54:53 2011
 # Project:  qmltube.pro
 # Template: app
 # Command: /home/stuart/QtSDK/Maemo/4.6.2/targets/fremantle-pr13/bin/qmake -spec ../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/linux-g++-maemo5 QMLJSDEBUGGER_PATH=/home/stuart/QtSDK/QtCreator/share/qtcreator/qml/qmljsdebugger -o Makefile qmltube.pro

=== debian/changelog ===
qmltube (0.2.20) unstable; urgency=low

  * Removed unnecessary import path.

 -- Stuart Howarth <marxianthecoder@gmail.com>  Wed, 06 Apr 2011 12:45:18 +0000

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: qmltube
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, mcsp, kmplayer
+Depends: ${shlibs:Depends}, ${misc:Depends}, mcsp
 Description: YouTube client
  Browse, view and download YouTube videos. Manage YouTube accounts.
 XSBC-Bugtracker: https://garage.maemo.org/tracker/?group_id=2124

## qmltube 0.2.21

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: qmltube
-# Generated by qmake (2.01a) (Qt 4.7.0) on: Wed Apr 6 12:54:53 2011
+# Generated by qmake (2.01a) (Qt 4.7.0) on: Wed Apr 6 19:29:10 2011
 # Project:  qmltube.pro
 # Template: app
 # Command: /home/stuart/QtSDK/Maemo/4.6.2/targets/fremantle-pr13/bin/qmake -spec ../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/linux-g++-maemo5 QMLJSDEBUGGER_PATH=/home/stuart/QtSDK/QtCreator/share/qtcreator/qml/qmljsdebugger -o Makefile qmltube.pro

=== debian/changelog ===
qmltube (0.2.21) unstable; urgency=low

  * Added auto-timeout of menus
  * Enabled plugin for additional content (requires separate installation).

 -- Stuart Howarth <marxianthecoder@gmail.com>  Wed, 07 Apr 2011 00:10:18 +0000

## qmltube 0.2.22

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: qmltube
-# Generated by qmake (2.01a) (Qt 4.7.0) on: Wed Apr 6 19:29:10 2011
+# Generated by qmake (2.01a) (Qt 4.7.0) on: Thu Apr 7 01:31:33 2011
 # Project:  qmltube.pro
 # Template: app
 # Command: /home/stuart/QtSDK/Maemo/4.6.2/targets/fremantle-pr13/bin/qmake -spec ../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/linux-g++-maemo5 QMLJSDEBUGGER_PATH=/home/stuart/QtSDK/QtCreator/share/qtcreator/qml/qmljsdebugger -o Makefile qmltube.pro

=== debian/changelog ===
qmltube (0.2.22) unstable; urgency=low

  * Fixed download error relating to illegal filename characters.

 -- Stuart Howarth <marxianthecoder@gmail.com>  Wed, 07 Apr 2011 01:30:18 +0000

## qmltube 0.3.1

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: qmltube
-# Generated by qmake (2.01a) (Qt 4.7.0) on: Thu Apr 7 01:31:33 2011
+# Generated by qmake (2.01a) (Qt 4.7.0) on: Thu Apr 7 20:09:53 2011
 # Project:  qmltube.pro
 # Template: app
 # Command: /home/stuart/QtSDK/Maemo/4.6.2/targets/fremantle-pr13/bin/qmake -spec ../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/linux-g++-maemo5 QMLJSDEBUGGER_PATH=/home/stuart/QtSDK/QtCreator/share/qtcreator/qml/qmljsdebugger -o Makefile qmltube.pro

=== debian/changelog ===
qmltube (0.3.1) unstable; urgency=low

  * Added conversion of downloaded videos to .m4a format.
  * Added scrolling in download list.

 -- Stuart Howarth <marxianthecoder@gmail.com>  Wed, 07 Apr 2011 20:08:18 +0000

## qmltube 0.3.2

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: qmltube
-# Generated by qmake (2.01a) (Qt 4.7.0) on: Thu Apr 7 20:09:53 2011
+# Generated by qmake (2.01a) (Qt 4.7.0) on: Sat Apr 9 23:09:51 2011
 # Project:  qmltube.pro
 # Template: app
 # Command: /home/stuart/QtSDK/Maemo/4.6.2/targets/fremantle-pr13/bin/qmake -spec ../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/linux-g++-maemo5 QMLJSDEBUGGER_PATH=/home/stuart/QtSDK/QtCreator/share/qtcreator/qml/qmljsdebugger -o Makefile qmltube.pro
@@ -47,19 +47,23 @@
 		youtube.cpp \
 		controller.cpp \
 		downloadmanager.cpp \
+		folderlistmodel.cpp \
 		qmlapplicationviewer/qmlapplicationviewer.cpp moc_qmlapplicationviewer.cpp \
 		moc_youtube.cpp \
 		moc_controller.cpp \
-		moc_downloadmanager.cpp
+		moc_downloadmanager.cpp \
+		moc_folderlistmodel.cpp
 OBJECTS       = main.o \
 		youtube.o \
 		controller.o \
 		downloadmanager.o \
+		folderlistmodel.o \
 		qmlapplicationviewer.o \
 		moc_qmlapplicationviewer.o \
 		moc_youtube.o \
 		moc_controller.o \
-		moc_downloadmanager.o
+		moc_downloadmanager.o \
+		moc_folderlistmodel.o
 DIST          = ../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/common/unix.conf \
 		../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/common/linux.conf \
 		../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/qconfig.pri \
@@ -161,4 +165,3 @@
 qmlapplicationviewer/qmlapplicationviewer.pri:
 ../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/release.prf:
 ../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/default_post.prf:
-../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/qdbus.prf:

## qmltube 0.3.3

=== debian/changelog ===
qmltube (0.3.3) unstable; urgency=low

  * Fixed small UI bug in search bar.

 -- Stuart Howarth <marxianthecoder@gmail.com>  Sat, 09 Apr 2011 23:20:18 +0000

## qmltube 0.3.4

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: qmltube
-# Generated by qmake (2.01a) (Qt 4.7.0) on: Sat Apr 9 23:09:51 2011
+# Generated by qmake (2.01a) (Qt 4.7.0) on: Sun Apr 10 23:55:45 2011
 # Project:  qmltube.pro
 # Template: app
 # Command: /home/stuart/QtSDK/Maemo/4.6.2/targets/fremantle-pr13/bin/qmake -spec ../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/linux-g++-maemo5 QMLJSDEBUGGER_PATH=/home/stuart/QtSDK/QtCreator/share/qtcreator/qml/qmljsdebugger -o Makefile qmltube.pro

=== debian/changelog ===
qmltube (0.3.4) unstable; urgency=low

  * Fixed authentication issue that prevented a user's favourites from being displayed in some cases.
  * Search order now saved when performing searches.

 -- Stuart Howarth <marxianthecoder@gmail.com>  Sun, 10 Apr 2011 22:45:18 +0000

## qmltube 0.3.5

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: qmltube
-# Generated by qmake (2.01a) (Qt 4.7.0) on: Sun Apr 10 23:55:45 2011
+# Generated by qmake (2.01a) (Qt 4.7.0) on: Mon Apr 11 10:57:50 2011
 # Project:  qmltube.pro
 # Template: app
 # Command: /home/stuart/QtSDK/Maemo/4.6.2/targets/fremantle-pr13/bin/qmake -spec ../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/linux-g++-maemo5 QMLJSDEBUGGER_PATH=/home/stuart/QtSDK/QtCreator/share/qtcreator/qml/qmljsdebugger -o Makefile qmltube.pro

=== debian/changelog ===
qmltube (0.3.5) unstable; urgency=low

  * Fixed authentication issue that prevented a user's favourites from being displayed in some cases.
  * Search order now saved when performing searches.

 -- Stuart Howarth <marxianthecoder@gmail.com>  Mon, 11 Apr 2011 11:00:18 +0000

## qmltube 0.3.6

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: qmltube
-# Generated by qmake (2.01a) (Qt 4.7.0) on: Mon Apr 11 10:57:50 2011
+# Generated by qmake (2.01a) (Qt 4.7.0) on: Tue Apr 12 20:53:11 2011
 # Project:  qmltube.pro
 # Template: app
 # Command: /home/stuart/QtSDK/Maemo/4.6.2/targets/fremantle-pr13/bin/qmake -spec ../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/linux-g++-maemo5 QMLJSDEBUGGER_PATH=/home/stuart/QtSDK/QtCreator/share/qtcreator/qml/qmljsdebugger -o Makefile qmltube.pro

=== debian/changelog ===
qmltube (0.3.6) unstable; urgency=low

  * Added copying of videos to clipboard.
  * Added download buttons in video info screen.
  * Added option to download as audio only in video lists and video info screen.
  * Fixed some errors in saving/deleting downloads to/from database.

 -- Stuart Howarth <marxianthecoder@gmail.com>  Tue, 11 Apr 2011 20:52:18 +0000

## qmltube 0.3.7

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: qmltube
-# Generated by qmake (2.01a) (Qt 4.7.0) on: Tue Apr 12 20:53:11 2011
+# Generated by qmake (2.01a) (Qt 4.7.0) on: Wed Apr 13 20:52:02 2011
 # Project:  qmltube.pro
 # Template: app
 # Command: /home/stuart/QtSDK/Maemo/4.6.2/targets/fremantle-pr13/bin/qmake -spec ../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/linux-g++-maemo5 QMLJSDEBUGGER_PATH=/home/stuart/QtSDK/QtCreator/share/qtcreator/qml/qmljsdebugger -o Makefile qmltube.pro

=== debian/changelog ===
qmltube (0.3.7) unstable; urgency=low

  * Fixed searches by tag.
  * Disabled OpenGL acceleration for improved performance in portrait mode.

 -- Stuart Howarth <marxianthecoder@gmail.com>  Wed, 13 Apr 2011 20:40:18 +0000

## qmltube 0.3.8

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: qmltube
-# Generated by qmake (2.01a) (Qt 4.7.0) on: Wed Apr 13 20:52:02 2011
+# Generated by qmake (2.01a) (Qt 4.7.0) on: Fri Apr 15 16:47:59 2011
 # Project:  qmltube.pro
 # Template: app
 # Command: /home/stuart/QtSDK/Maemo/4.6.2/targets/fremantle-pr13/bin/qmake -spec ../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/linux-g++-maemo5 QMLJSDEBUGGER_PATH=/home/stuart/QtSDK/QtCreator/share/qtcreator/qml/qmljsdebugger -o Makefile qmltube.pro

=== debian/changelog ===
qmltube (0.3.8) unstable; urgency=low

  * Fixed non-display of comments in some cases.
  * Added German translation (thanks to TMO user NightShift79)
  * Some enhancements to download management.
  * Increased caching of items in video lists.

 -- Stuart Howarth <marxianthecoder@gmail.com>  Fri, 15 Apr 2011 16:30:18 +0000

## qmltube 0.3.9

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: qmltube
-# Generated by qmake (2.01a) (Qt 4.7.0) on: Fri Apr 15 16:47:59 2011
+# Generated by qmake (2.01a) (Qt 4.7.0) on: Fri Apr 15 23:53:54 2011
 # Project:  qmltube.pro
 # Template: app
 # Command: /home/stuart/QtSDK/Maemo/4.6.2/targets/fremantle-pr13/bin/qmake -spec ../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/linux-g++-maemo5 QMLJSDEBUGGER_PATH=/home/stuart/QtSDK/QtCreator/share/qtcreator/qml/qmljsdebugger -o Makefile qmltube.pro

=== debian/changelog ===
qmltube (0.3.9) unstable; urgency=low

  * Small UI changes.
  * Fixed German translation (hopefully :P).

 -- Stuart Howarth <marxianthecoder@gmail.com>  Fri, 15 Apr 2011 23:50:18 +0000

## qmltube 0.4.1

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: qmltube
-# Generated by qmake (2.01a) (Qt 4.7.0) on: Fri Apr 15 23:53:54 2011
+# Generated by qmake (2.01a) (Qt 4.7.0) on: Tue Apr 19 20:42:03 2011
 # Project:  qmltube.pro
 # Template: app
 # Command: /home/stuart/QtSDK/Maemo/4.6.2/targets/fremantle-pr13/bin/qmake -spec ../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/linux-g++-maemo5 QMLJSDEBUGGER_PATH=/home/stuart/QtSDK/QtCreator/share/qtcreator/qml/qmljsdebugger -o Makefile qmltube.pro
@@ -10,13 +10,13 @@
 
 CC            = gcc
 CXX           = g++
-DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DQT_NO_DEBUG -DQT_DECLARATIVE_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
+DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DQT_NO_DEBUG -DQT_DECLARATIVE_LIB -DQT_DBUS_LIB -DQT_SQL_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
 CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
 CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
-INCPATH       = -I../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/include/QtCore -I../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/include/QtGui -I../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/include/QtDeclarative -I../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/include -I../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/include/QtDBus -Iqmlapplicationviewer -I.
+INCPATH       = -I../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/include/QtCore -I../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/include/QtGui -I../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/include/QtSql -I../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/include/QtDBus -I../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/include/QtDeclarative -I../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/include -Iqmlapplicationviewer -I.
 LINK          = g++
 LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu
-LIBS          = $(SUBLIBS)  -L/home/stuart/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/lib -L/usr/lib -lQtDeclarative -L/usr/X11R6/lib -lQtScript -lQtSvg -lQtSql -lQtXmlPatterns -lQtOpenGL -lQtNetwork -lQtGui -lQtDBus -lQtXml -lQtCore -lpthread 
+LIBS          = $(SUBLIBS)  -L/home/stuart/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/lib -lQtDeclarative -L/usr/lib -L/usr/X11R6/lib -lQtScript -lQtSvg -lQtXmlPatterns -lQtOpenGL -lQtNetwork -lQtSql -lQtGui -lQtDBus -lQtXml -lQtCore -lpthread 
 AR            = ar cqs
 RANLIB        = 
 QMAKE         = /home/stuart/QtSDK/Maemo/4.6.2/targets/fremantle-pr13/bin/qmake
@@ -48,22 +48,26 @@
 		controller.cpp \
 		downloadmanager.cpp \
 		folderlistmodel.cpp \
+		sharing.cpp \
 		qmlapplicationviewer/qmlapplicationviewer.cpp moc_qmlapplicationviewer.cpp \
 		moc_youtube.cpp \
 		moc_controller.cpp \
 		moc_downloadmanager.cpp \
-		moc_folderlistmodel.cpp
+		moc_folderlistmodel.cpp \
+		moc_sharing.cpp
 OBJECTS       = main.o \
 		youtube.o \
 		controller.o \
 		downloadmanager.o \
 		folderlistmodel.o \
+		sharing.o \
 		qmlapplicationviewer.o \
 		moc_qmlapplicationviewer.o \
 		moc_youtube.o \
 		moc_controller.o \
 		moc_downloadmanager.o \
-		moc_folderlistmodel.o
+		moc_folderlistmodel.o \
+		moc_sharing.o
 DIST          = ../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/common/unix.conf \
 		../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/common/linux.conf \
 		../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/qconfig.pri \
@@ -75,12 +79,11 @@
 		qmlapplicationviewer/qmlapplicationviewer.pri \
 		../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/release.prf \
 		../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/default_post.prf \
-		../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/qdbus.prf \
+		../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/warn_on.prf \
+		../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/qt.prf \
 		../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/moc.prf \
 		../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/dbusinterfaces.prf \
 		../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/dbusadaptors.prf \
-		../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/warn_on.prf \
-		../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/qt.prf \
 		../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/unix/thread.prf \
 		../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/resources.prf \
 		../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/uic.prf \
@@ -130,25 +133,24 @@
 		qmlapplicationviewer/qmlapplicationviewer.pri \
 		../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/release.prf \
 		../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/default_post.prf \
-		../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/qdbus.prf \
+		../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/warn_on.prf \
+		../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/qt.prf \
 		../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/moc.prf \
 		../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/dbusinterfaces.prf \
 		../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/dbusadaptors.prf \
-		../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/warn_on.prf \
-		../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/qt.prf \
 		../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/unix/thread.prf \
 		../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/resources.prf \
 		../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/uic.prf \
 		../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/yacc.prf \
 		../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/lex.prf \
 		../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/include_source_dir.prf \
+		/home/stuart/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/lib/libQtDeclarative.prl \
+		/home/stuart/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/lib/libQtScript.prl \
+		/home/stuart/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/lib/libQtCore.prl \
+		/home/stuart/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/lib/libQtSvg.prl \
+		/home/stuart/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/lib/libQtGui.prl \
 		/home/stuart/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/lib/libQtDBus.prl \
 		/home/stuart/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/lib/libQtXml.prl \
-		/home/stuart/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/lib/libQtCore.prl \
-		/home/stuart/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/lib/libQtDeclarative.prl \
-		/home/stuart/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/lib/libQtScript.prl \
-		/home/stuart/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/lib/libQtSvg.prl \
-		/home/stuart/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/lib/libQtGui.prl \
 		/home/stuart/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/lib/libQtSql.prl \
 		/home/stuart/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/lib/libQtXmlPatterns.prl \
 		/home/stuart/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/lib/libQtNetwork.prl \

=== debian/changelog ===
qmltube (0.4.1) unstable; urgency=low

  * Added language setting.
  * Added sharing of YouTube videos via facebook.
  * Improved YouTube search method.

 -- Stuart Howarth <marxianthecoder@gmail.com>  Tue, 19 Apr 2011 19:50:18 +0000

## qmltube 0.4.2

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: qmltube
-# Generated by qmake (2.01a) (Qt 4.7.0) on: Tue Apr 19 20:42:03 2011
+# Generated by qmake (2.01a) (Qt 4.7.0) on: Wed Apr 20 01:58:25 2011
 # Project:  qmltube.pro
 # Template: app
 # Command: /home/stuart/QtSDK/Maemo/4.6.2/targets/fremantle-pr13/bin/qmake -spec ../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/linux-g++-maemo5 QMLJSDEBUGGER_PATH=/home/stuart/QtSDK/QtCreator/share/qtcreator/qml/qmljsdebugger -o Makefile qmltube.pro

=== debian/changelog ===
qmltube (0.4.2) unstable; urgency=low

  * Fixed language setting and some associated errors.

 -- Stuart Howarth <marxianthecoder@gmail.com>  Wed, 20 Apr 2011 01:40:18 +0000

## qmltube 0.4.3

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: qmltube
-# Generated by qmake (2.01a) (Qt 4.7.0) on: Wed Apr 20 01:58:25 2011
+# Generated by qmake (2.01a) (Qt 4.7.0) on: Wed Apr 20 23:53:56 2011
 # Project:  qmltube.pro
 # Template: app
 # Command: /home/stuart/QtSDK/Maemo/4.6.2/targets/fremantle-pr13/bin/qmake -spec ../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/linux-g++-maemo5 QMLJSDEBUGGER_PATH=/home/stuart/QtSDK/QtCreator/share/qtcreator/qml/qmljsdebugger -o Makefile qmltube.pro

=== debian/changelog ===
qmltube (0.4.3) unstable; urgency=low

  * Added light theme and theme option in settings.

 -- Stuart Howarth <marxianthecoder@gmail.com>  Wed, 20 Apr 2011 23:40:18 +0000

## qmltube 0.4.4

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: qmltube
-# Generated by qmake (2.01a) (Qt 4.7.0) on: Wed Apr 20 23:53:56 2011
+# Generated by qmake (2.01a) (Qt 4.7.0) on: Thu Apr 21 23:13:37 2011
 # Project:  qmltube.pro
 # Template: app
 # Command: /home/stuart/QtSDK/Maemo/4.6.2/targets/fremantle-pr13/bin/qmake -spec ../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/linux-g++-maemo5 QMLJSDEBUGGER_PATH=/home/stuart/QtSDK/QtCreator/share/qtcreator/qml/qmljsdebugger -o Makefile qmltube.pro

=== debian/changelog ===
qmltube (0.4.4) unstable; urgency=low

  * Clicking the thumbnail in a video list will now play the video.
  * Added additional information to video list delegates.

 -- Stuart Howarth <marxianthecoder@gmail.com>  Thu, 21 Apr 2011 23:10:18 +0000

## qmltube 0.5.0

=== debian/changelog ===
qmltube (0.5.0) unstable; urgency=low

  * Completely re-worked dialog UIs.
  * Re-factoring of UI code to make it more scalable.

 -- Stuart Howarth <marxianthecoder@gmail.com>  Sun, 24 Apr 2011 14:10:18 +0000

## qmltube 0.5.1

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: qmltube
-# Generated by qmake (2.01a) (Qt 4.7.0) on: Thu Apr 21 23:13:37 2011
+# Generated by qmake (2.01a) (Qt 4.7.0) on: Sun Apr 24 19:29:19 2011
 # Project:  qmltube.pro
 # Template: app
 # Command: /home/stuart/QtSDK/Maemo/4.6.2/targets/fremantle-pr13/bin/qmake -spec ../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/linux-g++-maemo5 QMLJSDEBUGGER_PATH=/home/stuart/QtSDK/QtCreator/share/qtcreator/qml/qmljsdebugger -o Makefile qmltube.pro

=== debian/changelog ===
qmltube (0.5.1) unstable; urgency=low

  * Enabled editing of title and description when sharing videos on facebook.
  * Fixed error when searching using Chinese characters.

 -- Stuart Howarth <marxianthecoder@gmail.com>  Sun, 24 Apr 2011 19:29:18 +0000

## qmltube 0.6.0

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: qmltube
-# Generated by qmake (2.01a) (Qt 4.7.0) on: Sun Apr 24 19:29:19 2011
+# Generated by qmake (2.01a) (Qt 4.7.0) on: Tue Apr 26 23:42:48 2011
 # Project:  qmltube.pro
 # Template: app
 # Command: /home/stuart/QtSDK/Maemo/4.6.2/targets/fremantle-pr13/bin/qmake -spec ../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/linux-g++-maemo5 QMLJSDEBUGGER_PATH=/home/stuart/QtSDK/QtCreator/share/qtcreator/qml/qmljsdebugger -o Makefile qmltube.pro

=== debian/changelog ===
qmltube (0.6.0) unstable; urgency=low

  * Added homescreen widget (requires Quick Widgets).
  * Added Finnish and Italian translations provided by TMO users d-iivil and Berkt. :D
  * Fixed error resulting in search results not being returned for some users when signed in.

 -- Stuart Howarth <marxianthecoder@gmail.com>  Tue, 26 Apr 2011 23:00:18 +0000

## qmltube 0.6.1

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: qmltube
-# Generated by qmake (2.01a) (Qt 4.7.0) on: Tue Apr 26 23:42:48 2011
+# Generated by qmake (2.01a) (Qt 4.7.0) on: Wed Apr 27 23:22:57 2011
 # Project:  qmltube.pro
 # Template: app
 # Command: /home/stuart/QtSDK/Maemo/4.6.2/targets/fremantle-pr13/bin/qmake -spec ../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/linux-g++-maemo5 QMLJSDEBUGGER_PATH=/home/stuart/QtSDK/QtCreator/share/qtcreator/qml/qmljsdebugger -o Makefile qmltube.pro

=== debian/changelog ===
qmltube (0.6.1) unstable; urgency=low

  * Improved homescreen widget with larger buttons and more features.
  * Added safe search setting to filter potentially unsuitable content.
  * Updated translations.

 -- Stuart Howarth <marxianthecoder@gmail.com>  Wed, 27 Apr 2011 23:00:18 +0000

## qmltube 0.6.2

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: qmltube
-# Generated by qmake (2.01a) (Qt 4.7.0) on: Wed Apr 27 23:22:57 2011
+# Generated by qmake (2.01a) (Qt 4.7.0) on: Thu Apr 28 16:27:36 2011
 # Project:  qmltube.pro
 # Template: app
 # Command: /home/stuart/QtSDK/Maemo/4.6.2/targets/fremantle-pr13/bin/qmake -spec ../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/linux-g++-maemo5 QMLJSDEBUGGER_PATH=/home/stuart/QtSDK/QtCreator/share/qtcreator/qml/qmljsdebugger -o Makefile qmltube.pro

=== debian/changelog ===
qmltube (0.6.2) unstable; urgency=low

  * Added support for MPlayer.
  * Homescreen widget can now be locked to prevent accidental video playback.
  * Fixed incorrect resizing of loading indicator.
  * Updated Italian translation.

 -- Stuart Howarth <marxianthecoder@gmail.com>  Thu, 28 Apr 2011 15:40:18 +0000

## qmltube 0.6.3

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: qmltube
-# Generated by qmake (2.01a) (Qt 4.7.0) on: Thu Apr 28 16:27:36 2011
+# Generated by qmake (2.01a) (Qt 4.7.0) on: Sun May 1 19:41:26 2011
 # Project:  qmltube.pro
 # Template: app
 # Command: /home/stuart/QtSDK/Maemo/4.6.2/targets/fremantle-pr13/bin/qmake -spec ../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/linux-g++-maemo5 QMLJSDEBUGGER_PATH=/home/stuart/QtSDK/QtCreator/share/qtcreator/qml/qmljsdebugger -o Makefile qmltube.pro

=== debian/changelog ===
qmltube (0.6.3) unstable; urgency=low

  * Widget no longer requires Quick Widgets.
  * Widget no longer loads feeds on startup.
  * Added playback quality option in the widget.
  * Added Polish translation provided by TMO user edoiks.
  * Updated Dutch translation.

 -- Stuart Howarth <marxianthecoder@gmail.com>  Sun, 01 Apr 2011 19:40:18 +0000

## qmltube 0.6.4

=== debian/changelog ===
qmltube (0.6.4) unstable; urgency=low

  * Fixed bug that resulted in multiple playback instances.

 -- Stuart Howarth <marxianthecoder@gmail.com>  Sun, 01 Apr 2011 21:15:18 +0000
